changelog.txt - What has been done to WinDirStat (newest top)
Last modified: $Date$
=============================================================

2005-07-16	assarbad
	* Release of version 1.1.2 which features new translations and some
	  very minor code corrections.
	
2005-04-17	assarbad
	* Fixed a bug that appeared only in the Spanish, Italian and Czech
	  resource DLLs, but seemed to be by chance. It was the fact that
	  the resource version string which had been moved to the *.rc2
	  files recently, had no explicit statement to which language it
	  belonged. Therefore the Spanish DLL contained the version string
	  as a German string, for example. This confused the ATL code.
	* Changed order of resources manually for one .rc to compare better
	  and track down that error above.
	* Minor changes: added comment and used GetModuleHandle() instead
	  of LoadLibrary() for osspecific.cpp in several places for those
	  DLLs which are anyway already loaded at the time the call is
	  placed.
	* Although included in the respective language DLL the IDS_SEV_* and
	  IDS_FROMsPLATFORMs are now located in the *.rc2 to not translate
	  them by mistake.
	* Changes to the version strings in version.h (resource DLLs need no
	  information whether Unicode or Debug. Development versions show
	  more information than before in the product version.
	* Corrected typo in the Russian translation. Thanks to Dima for
	  pointing it out to me.
	* Credits for translators now in a unicode encoded resource string!
	  Changes to the about dialog have been necessary, obviously.
	  The fact that only a single string with names of translators is
	  being used will greatly simplify maintenance as new translation
	  become available!

2005-04-10	assarbad
	* Added Italian resource DLL project
	* Added Czech resource DLL project
	* Fixed problem with VS-project GUIDs
	* Resource string version now in the *.rc2 files
	* Optimization of resource DLLs saving 4kB each.

2005-02-14	bseifert
	* Added wdsh040e: Hungarian helpfile. Thanks to Nimoy!
	* 2 corrections in Hungarian windirstat.rc.
	* Undone spanish translation of IDS_SEV_CRITICAL, IDS_SEV_GRAVE,
		IDS_SEV_NORMAL, IDS_SEV_WISH and IDS_SEV_FEEDBACK.
		Those must not be translated because they appear in feedback
		mails (we read them!). :-)
	* IDS_LANGUAGERESTARTNOW should be bi-lingual (native language + English).

2005-02-09	assarbad
	* Preparation for Bulgarian translation (without translation
	  yet).

2005-02-08	assarbad
	* Corrections to the Spanish translation after review by Sergio.

2005-02-07	assarbad
	* Adjusted all resources to show Spanish. Missing translation of
	  the word "Spanish" for Hungarian and of the words "Spanish"
	  and "Hungarian" for French.

2005-02-06	assarbad
	* Added Spanish resource dll (thanks to Sergio).

2005-01-29	bseifert
	* Added Hungarian resource dll (thanks to Leonard).
	* Only one build configuration for resource DLLs: UnicodeRelease
	* IDS_ABOUT_AUTHORSTEXTs: obscured e-mail addresses by #-signs to avoid spam

2005-01-02	bseifert
	* Copyright -2005.

2004-12-31	bseifert
	* Added English phrases to IDS_LANGUAGERESTARTNOW (Russian and Polish).
	* Untranslated Polish, French and Russian IDS_SEV_*** and IDS_FROMsPLATFORMs strings.
	* Unicode CString::CompareNoCase doesn't return -1,0,+1 always. Used signum().
	* Bugfix in CMountPoints::IsJunctionPoint().
	* Minor correction configuration.htm.
	* Minor correction in Polish menu.
	
2004-12-30	bseifert
	* setup.exe is no compiled optimizing size (-> ca. -15 KB)
	* Updated testplan.
	* Incremented RESOURCEVERSION to 4.
	
2004-12-25	bseifert
	* Documented Attributes column in helpfiles.
	* Documented Junction points in helpfiles.
	
2004-12-24	bseifert
	* setup: included Polish translation (thanks to Darek).
	* wdsh0415: Polish help file complete! (Thanks to Darek).
	* Help files: switched to a serif font.

2004-12-19	bseifert
	* CMyImageList: bugfix: the background of <Files> etc. was
	  wrong when list had 'stripes' style.
	* Included Sergiy's e-mail address in authors tab.
	* Feedback now routed to feedback-mailing list.
	* Corrected 4 spelling errors in English help file.

2004-12-12	bseifert
	* CMyImageList: improved coloring of <Files>, <Free Space>,
	  and <Unknown> images.
	* CMyImageList: Junction points are now no longer greenified
	  folder icons but a folder icon with a awxlink overlay.
	  
2004-12-12	bseifert
	* Aboutbox: added "Authors" Tab.
	* Copyright now hold by "The authors of WinDirStat".
	* license.txt not needed in localized resource dlls.
	  -> saves 16 KB per resource dll.

2004-11-29	bseifert
	* Introduced SRECT. sizeof(CItem) is now 104 compared to 112.
	* Minor formatting changes.
	
2004-11-28	assarbad
	* Extended CFileFindWDS.
	* Packing of file attributes to keep CItem small.
	* Sorting of file attribute column now implemented.

2004-11-27	bseifert
	* Progress bar now disabled (and Pacman used instead)
	  if "follow junction points" is enabled.
	* The aboutbox and versioninfo now contains a "Unicode"/"Ansi"
	  and a "Debug" specification if applicable.
	* Updated VERSIONINFOs in the windirstat.rc2 files.
	
2004-11-25	assarbad
	* Removal of obsolete functions IsCompressed() and
	  IsEncrypted().
	* Optimised use of GetCompressedFileSize() API which is
	  now cached in the application object similar to PSAPI.
	* Removed manifest and respective file for Russian and
	  the manifest file for German ressources.
	* Fixed coloring bug upon error codes #2 and #123 which
	  happens using the ANSI version on files with Unicode
	  names which cannot be mapped to ANSI names.
	* Implemented the column to show file attributes.

2004-11-24	bseifert
	* Eliminated hidden option "ExplorerStyle". The directory
	  list context menu now appears horizontally at the cursor 
	  position and vertically under (or above) the label.
	  
2004-11-23	bseifert
	* Bugfix: About-Dialog: When the RichEdit control had
	  the focus, pressing the ESC key made id disappear.
	  Now ESC (and TAB) merly move the focus to the tab
	  control.

2004-11-19	bseifert
	* Setup optionally installs a link to windirstat in the
	  SendTo-Folder.

2004-11-15	assarbad
	* Russian translation (still a few strings missing) 
	  - thanks to Sergiy Polyetayev

2004-11-14	bseifert/assarbad
	* Date/time and number formatting is now done using
	  GetUserDefaultLangID(), unless the new option
	  "Use this language for formatting" (near the language
	  combo box) is selected.
	  So British users, for example, see their preferred
	  date/time format as configured in the control panel
	  although the selected language for Windirstat is
	  "English - US".
	* Last used folder now pre-selected
	   
2004-11-12  bseifert
	* Added Polish resource dll: wdsr0415. Thanks to Darek.
	* New output folders for Unicode build: udebug, urelease
	* Eliminated CLR_NONE
	* Minor formatting and error handling corrections
	
2004-11-12	assarbad
	* Coloring for compressed and encrypted items spans the
	  full row (for list control in another state than "Full
	  row select" the style needs to be decided, yet).
	* Renamed "Table Of Contents.hhc" to toc.hhc, as Linux
	  CVS cannot handle filenames with blanks in them.
	* Implemented ExplorerStyle option which will not be
	  accessible through the options dialog.
	  It handles where the context menu is being shown.

2004-11-07	assarbad/bseifert
	* French part for setup.rc
	* Minor bugfix concerning "follow junction points"
	* Using compressed file size as reference now. This includes
	  compressed and sparse files. A wrapper makes this transparent
	  for the caller.
	* Compressed files/folders are now shown by default in blue,
	  encrypted files/folders are shown by default in green.
	  These settings can be altered by modifying the two
	  REG_BINARY values "AltColor" (for compressed) and
	  "AltEncryptionColor" (for encrypted) under the key:
		  
	  HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer

	  This mimics the behavior of the Windows XP explorer.

2004-11-06	assarbad
	* Added the CVS-tags for Date and History whereever appropriate.
	  (already yesterday)
	* Sam from the Ultr@VNC [ultravnc.sf.net] project volunteered to
	  translate the missing parts to French. Still necessary to check
	  wether the design is broken.
	* Fixed the bug with ampersands. If file or directory names have an
	  ampersand they would show with underbar under the character right
	  to the ampersand. This is similar to the behavior of accelerators
	  in Windows dialogs. Just added DT_NOPREFX to all DrawText()
	  instances.

2004-11-02	assarbad
	* Replaced the custom icon for junction points by code to greenify
	  the folder image. Thus junction points are now represented by green
	  folder icons.
	* ANSI/Unicode DLLs and EXEs now have the same name. No more appended
	  "U" (which broke several things such as localization).

2004-10-31	assarbad
	* Added option to ignore junction points (reparse points) for
	  those directories not being volume mount points already.
	* Added the respective icon to represent junction points.
	* Translation to German and French not yet done for the newly
	  added items.

2004-01-22	bseifert
	* Release of 1.1.0. (Decided to call it 1.1.0 instead of 1.0.2)

2004-01-20	bseifert
	* Temporarily removed French translation from setup and Aboutbox for release 1.0.2.
	* New option: Full row selection (default).

2004-01-11	bseifert	
	* Completed French translation.
	* Added rc2-files.
	
2003-01-02	bseifert
	* Added the French resources to setup.exe.
	* Internal bugfix: the cleanup actions are now disabled, if
	  the extension list has the focus.
	* 'Command prompt here' is now disabled for UNC paths.
	* Drive selection dialog: the set of selected drives was not
	  always persistent.
	* Drive selection dialog: If the drives list has no focus and
	  the selection is not empty, the first mouse click on the 
	  drives list merley sets focus and the radio button.
	* Setup.exe: If the user enters a relative path, it is now
	  expanded when the Next button is pressed.
	  
2004-01-01	bseifert
	* All file VERSIONINFOs are now conforming to Windows.
	  Introduced automatic update of build number.
	* The lists now realize when system colors change, and the
	  program needs not to be restarted.
	  Text- and item highlight colors are no longer hardcoded.
	* Options: 'Pacman animation' and 'Show time spent' have
	  been moved to the page 'Directory list'.
	  'Show grid' and the new option 'Show stripes' have been
	  moved to the General page and now apply to all lists.
	* Options 'General': When the language has been changed, the user
	  is now prompted for restarting Windirstat.
	* Directory list: During the scan it was hard to manipulate
	  items with mouse clicks due to the periodical re-sort.
	  Now mouse messages are processed before the re-sort, so it
	  is more likely to hit the wanted item.
	* Directory list: During the scan it was hard to navigate
	  in the tree because the selection was auto-scrolled into
	  view every 0.6 sec. This is now removed.
	* Directory list: The context menu key didn't work. Fixed.
	  Corrected right mouse button handling.
	  Context menu now has default items (expand, collapse or open).
	  A double click on a file opens the file.
	* Treemap: Small selection rectangles were not painted correctly.
	
2003-12-29	bseifert
	* Page User defined cleanups: Select the cleanup No 9. Empty
	  its title. In the list click below cleanup No. 9.
	  --> The program crashed (invalid pointer). Fixed.
	* The 'Send e-mail to owner' report can now be customized.
	* The default title for user defined cleanups is now no longer
	  stored as string to the registry. So, after changing the language, it
	  now appears in the new language.
	* SUBST'd drives are now excluded from "All local drives"
	  (doesn't work on W9x).
	* There was a duplicate error message, when "Show Properties" or
	  "Explorer here" failed.
	
2003-12-27	bseifert
	* Selection of types: When the extension list has the focus,
	  the treemap highlights all files of the given extension.
	* Focus can now be moved between directory list and extension list
	  via TAB key. Selection can be canceled with ESC key.
	
2003-12-24	bseifert
	* RESOURCEVERSION is now 3. This means that windirstat.exe 
		will not load resource dlls of previous versions.
	* Treemap algorithm now isolated in treemap.h/treemap.cpp.
	  Two squarification styles: KDirStat-like, SequoiaView-like.
	  Two new parameters: brightness and position of the light source.
	  Treemap-options-page completely reworked:
	  - true treemap preview
	  - 4 big sliders and a 2D-Slider
	* Resizable dialogs: fixed repainting problem.

2003-12-13	bseifert
	* Added size grippers to the resizable dialogs.
	* Corrections in French windirstat.rc
	* Made "Bytes", "KB", "MB, "GB", "TB" localizable.

2003-12-08	bseifert
	* Release 1.0.1
	
2003-12-07	bseifert
	* User defined cleanups are now by default disabled for UNC paths.
	  New option to enable udcs for UNC paths.
	* Drive Selection Dialog: Foldername field: Validation took a long
	  time, if UNC paths were entered using the keyboard. Validation
	  is now turned off, if the path begins with \\.
	  
2003-12-07	bseifert
	* If the localized help file is not found, the English one is now tried.
	* New shortcut F5 for 'Refresh Selected'.
	* English version: '?' renamed to 'Help'.
	* Select Drives Dialog: now queries the drives via background threads.
	* tigroo almost finished French translation of windirstat.rc.
	* When the tree is empty (drive selection canceled), the program
		crashed after 'Empty Recycle Bin'. It also crashed when 
		'Show free space' or 'Show unknown' was selected.
	* Due to a bug, 'Empty Recycle Bin' was always enabled, even when
		the recycle bin was empty.
	* Due to a bug, 'Empty Recycle Bin' was never enabled on W2k.

2003-12-03	bseifert
	* Select Drives Dialog: 'A Folder' field: Relative paths and
		trailing backslashes are now handled correctly.
	* Added "Thanks to" beta testers.
	* Contextmenu and doubleclick didn't work correctly if Name-column wasn't leftmost.

2003-11-26	bseifert
	* Version number '1.0.1rc3'
	* Placed platform.h/cpp into 'common' folder.
	* Pacman is now symmetric on NT AND 9x.
	
2003-11-25	bseifert
	* With slow drives (diskettes), the program crashed, when activating 
		or deactivating "show free space" or "show unknown".
	* Program could crash when the color column in the extension list was
		made too small.
	* By mistake, the <Files>-icon reflected the working directory
		(this could possibly be a drive-icon). Fixed.
	* Made pacman more symmetric.
	* The <Free space>-icon didn't look green on some systems.
	* Fixed repainting problem of header control of extension list.
	* Refined the drawing of subtree percentage.
	* The lists don't flicker any more when scrolling down.
	* Date/Time is now formatted rather by the selected language than the LocaleDefault.
	* RESOURCEVERSION is now 2. This means that windirstat.exe 
		will not load resource dlls of previous versions.
	* Added column "% Bytes" to extension list.

2003-11-23	bseifert
	* Added project wdsr040c: Frame for French resource dll.
	* More minor corrections in the help file.
	
2003-11-03	bseifert
	* New option "Show Time Spent in Directory list".
	* Some URLs had no trailing backslash.
	* Fixed some spelling errors in help files.
	* This changelog added.

2003-10-01	bseifert
	* Initial Release 1.0.0.
